<?php

namespace xenarabia\BestAnswer\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Thread extends XFCP_Thread
{
    public function actionIndex(ParameterBag $params)
    {
        $parent = parent::actionIndex($params);

        if (!$parent instanceof \XF\Mvc\Reply\View)
        {
            return $parent;
        }

        $options = \XF::options();



        $thread = $this->assertViewableThread($params->thread_id);
        $threadId = $thread['thread_id'];
        $bestAnswered = $thread['xena_post_ba'];

        $ba = \XF::finder('XF:Post')
                ->where('post_id', $bestAnswered)
                ->fetchOne();
				
			$parent->setParams([
				'ba' => $ba
            ]);	
        return $parent;     
    }

}